WSAServProfile (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.service
Class WSAServProfile

    java.lang.Object
      fr.inrialpes.exmo.align.service.WSAServProfile

All Implemented Interfaces:
  AlignmentServiceProfile

    public class WSAServProfile

extends Object
implements AlignmentServiceProfile

WSAServProfile: a SOAP and REST over HTTP provile for the Alignment server It uses the HTTP server of HTTPAServProfile Improvements to come: - provide WSDL from that channel as well - implement request_id management (fully missing here) - use XML/Xpath parsers [Make it namespace aware please] - clean up

Field Summary
`private static DocumentBuilder` | `BUILDER`
`private int` | `debug`
`private int` | `localId`
`private AServProtocolManager` | `manager`
`private String` | `myId`
`private String` | `serverURL`
`private String` | `tcpHost`
`private int` | `tcpPort`
`private static String` | `wsdlSpec`

Constructor Summary
`WSAServProfile()`

Method Summary
`private String` | `buildAnswer(String tag, Message answer, Properties param)`
`void` | `close()` Shutdown the Service and undeclare it from any registery
`private String` | `getClasses(String tag, Set<String> classlist, Properties param)`
`private Properties` | `getParameters(Document doc)` Extract parameters from a DOM document resulting from parsing a SOAP messgae
`void` | `init(Properties params, AServProtocolManager manager)` Creates the Service object and declares it after any required registery
`private int` | `newId()`
`String` | `protocolAnswer(String uri, String perf, Properties header, Properties param)` HTTP protocol implementation each call of the protocol is a direct URL and the answer is through the resulting page (RDF? SOAP? HTTP?) Not implemented yet but reserved if appears useful
`static String` | `wsdlAnswer(boolean embedded)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tcpPort

    private int tcpPort

### tcpHost

    private String tcpHost

### debug

    private int debug

### manager

    private AServProtocolManager manager

### wsdlSpec

    private static String wsdlSpec

### myId

    private String myId

### serverURL

    private String serverURL

### localId

    private int localId

### BUILDER

    private static DocumentBuilder BUILDER

Constructor Detail

### WSAServProfile

    public WSAServProfile()

Method Detail

### init

    public void init(Properties params,
                     AServProtocolManager manager)
              throws AServException

  Description copied from interface: `AlignmentServiceProfile`
  Creates the Service object and declares it after any required registery

  Specified by:
    `init` in interface `AlignmentServiceProfile`
  Throws:
    `AServException`

### close

    public void close()

  Description copied from interface: `AlignmentServiceProfile`
  Shutdown the Service and undeclare it from any registery

  Specified by:
    `close` in interface `AlignmentServiceProfile`

### protocolAnswer

    public String protocolAnswer(String uri,
                                 String perf,
                                 Properties header,
                                 Properties param)

  HTTP protocol implementation each call of the protocol is a direct URL and the answer is through the resulting page (RDF? SOAP? HTTP?) Not implemented yet but reserved if appears useful

### wsdlAnswer

    public static String wsdlAnswer(boolean embedded)

### getParameters

    private Properties getParameters(Document doc)

  Extract parameters from a DOM document resulting from parsing a SOAP messgae

### newId

    private int newId()

### buildAnswer

    private String buildAnswer(String tag,
                               Message answer,
                               Properties param)

### getClasses

    private String getClasses(String tag,
                              Set<String> classlist,
                              Properties param)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010